### Name: marrayNorm-class
### Title: Class "marrayNorm", classes and methods for post-normalization
###   cDNA microarray intensity data
### Aliases: marrayNorm-class marrayNorm maA maA<- maM maM<- maMloc
###   maMloc<- maMscale maMscale<- [,marrayNorm-method
###   cbind,marrayNorm-method coerce,marrayRaw,marrayNorm-method
###   maA<-,marrayNorm,matrix-method maA,marrayNorm-method
###   maControls<-,marrayNorm-method maControls,marrayNorm-method
###   maGnames,marrayNorm-method maGridCol,marrayNorm-method
###   maGridRow,marrayNorm-method maLayout,marrayNorm-method
###   maMloc<-,marrayNorm,matrix-method maMloc,marrayNorm-method
###   maM<-,marrayNorm,matrix-method maM,marrayNorm-method
###   maMscale<-,marrayNorm,matrix-method maMscale,marrayNorm-method
###   maNgc<-,marrayNorm,numeric-method maNgc,marrayNorm-method
###   maNgr<-,marrayNorm,numeric-method maNgr,marrayNorm-method
###   maNormCall,marrayNorm-method maNotes<-,marrayNorm,character-method
###   maNotes,marrayNorm-method maNsamples,marrayNorm-method
###   maNsc<-,marrayNorm,numeric-method maNsc,marrayNorm-method
###   maNspots<-,marrayNorm,numeric-method maNspots,marrayNorm-method
###   maNsr<-,marrayNorm,numeric-method maNsr,marrayNorm-method
###   maPlate<-,marrayNorm-method maPlate,marrayNorm-method
###   maPrintTip,marrayNorm-method maSpotCol,marrayNorm-method
###   maSpotRow,marrayNorm-method maSub<-,marrayNorm-method
###   maSub,marrayNorm-method maTargets,marrayNorm-method
###   maW<-,marrayNorm,matrix-method maW,marrayNorm-method
###   maLG,marrayNorm-method maLR,marrayNorm-method print,marrayNorm-method
###   show,marrayNorm-method summary,marrayNorm-method maNormCall
### Keywords: classes

### ** Examples

# Examples use swirl dataset, for description type ? swirl

data(swirl)

# Median normalization
mnorm<-maNorm(swirl[,2:3],norm="m")

# Object of class marrayNorm for the second and third swirl arrays
mnorm

# Function call
maNormCall(mnorm)

#  Object of class marrayInfo -- Probe sequences
maGnames(mnorm)

#  Object of class marrayInfo -- Target samples
 maTargets(mnorm)

# Density plot of log-ratios M for third array
plot(density(maM(mnorm[,2])), lwd=2, col=2, main="Density plots of log-ratios M")
lines(density(maM(swirl[,3])), lwd=2)
abline(v=0)
legend(2,1,c("Pre-normalization","Post-normalization"))



